Bug 65104 - RH 7.2 install on K7 motherboards dies on reboot with GPF
RH 7.2 install on K7 motherboards dies on reboot with GPF
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 12:26 EDT by ron minnich
Modified: 2007-03-26 23:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-16 22:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ron minnich 2002-05-17 12:26:26 EDT
Description of Problem:
Installing on a K7 with RH 7.2. Everything goes fine until you reboot. The 
kernel that is installed does a rdmsr on MSRs that do not exist on the K7.
The PIII, for non-existent MSRs, will actually return a bad value, contrary
to what the PII did and what the PIII should do. The K7, on the other hand, 
will take a GPF. 

The result is that a user can install RH 7.2 on a K7 box, will watch it all
work, will reboot, and see his kernel come up and get a GPF and die horribly. 

We have worked around this at LANL but I was reminded of it by a user from 
another site just today. David Woodhouse told me to report it.

Version-Release number of selected component (if applicable):
RH 7.2

How Reproducible:

Buy an off-the-shelf system with a (e.g.) PCCHIPS M810LMR motherboard and 
install with RH 7.2. Wait for the reboot after install. BOOM!
Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Pete Zaitcev 2002-06-04 14:54:48 EDT
Ron, this is not the way to report it, I am sorry to say.
Surely, as LinuxBIOS leader you understand that we'd like
to see the oops trace. The approved way to capture it is
to use a serial console, but some people do get creative.
I saw them attaching JPEGs of screen images...
Comment 2 Pete Zaitcev 2002-06-04 14:57:33 EDT
Actually, cancel that - the description is good, but I am not
sufficiently familar with that part of the code to cook up a fix
right away. And I still like to see the trace so that I know
what file to open in vi :)

Did you try to poke linux-kernel on your own with this problem?
Comment 3 ron minnich 2002-06-04 16:15:29 EDT
Sorry for the lack of an oops trace. I don't have serial console (this is the
first boot after an install) and it never occured to me to take a picture.
Usually that text is borderline-readable. 

I think the issue is that you are shipping a PIII kernel with the PIII serial #
feature enabled in .config. When the K7 hits that code, you get the GPF as there
is no such MSR in the K7. 

I'll have to see if this is fixed in 7.3 when I get time.


Note You need to log in before you can comment on or make changes to this bug.